- Home
- API Enriched
- Virtual
- config
- Set L7 DDoS RPS Threshold.
Set L7 DDoS RPS Threshold.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/http_loadbalancers/example/l7ddos_rps_threshold';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","namespace":"example","rps_threshold":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/http_loadbalancers/example/l7ddos_rps_threshold \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "namespace": "example", "rps_threshold": 1 }'Sets the L7 DDoS RPS threshold for HTTP load balancer.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace x-required Namespace scope of the request.
Name x-required Name of the HTTP loadbalancer.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to set L7 DDoS RPS Threshold.
object
Name of the HTTP loadbalancer Required: YES.
Namespace scope of the request Required: YES.
The new RPS threshold to set
Required: YES.
Examplegenerated
{ "name": "example", "namespace": "example", "rps_threshold": 1}Responses
Section titled “Responses”A successful response.
Response message for setting the RPS threshold.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example